Package it.ernytech.tdlib

## Class TdApi.MessageForwardedFromUser

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageForwardInfo
    - - it.ernytech.tdlib.TdApi.MessageForwardedFromUser

Enclosing class:
  TdApi

    public static class TdApi.MessageForwardedFromUser
    extends TdApi.MessageForwardInfo

The message was originally written by a known user.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `date` Point in time (Unix timestamp) when the message was originally sent.
`long` `forwardedFromChatId` For messages forwarded to the chat with the current user (saved messages), the identifier of the chat from which the message was forwarded; 0 if unknown.
`long` `forwardedFromMessageId` For messages forwarded to the chat with the current user (saved messages) the identifier of the original message from which the new message was forwarded; 0 if unknown.
`int` `senderUserId` Identifier of the user that originally sent this message.

### Constructor Summary

Constructors
`MessageForwardedFromUser()` Default constructor.
`MessageForwardedFromUser​(int senderUserId, int date, long forwardedFromChatId, long forwardedFromMessageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### senderUserId

    public int senderUserId

Identifier of the user that originally sent this message.

#### date

    public int date

Point in time (Unix timestamp) when the message was originally sent.

#### forwardedFromChatId

    public long forwardedFromChatId

For messages forwarded to the chat with the current user (saved messages), the identifier of the chat from which the message was forwarded; 0 if unknown.

#### forwardedFromMessageId

    public long forwardedFromMessageId

For messages forwarded to the chat with the current user (saved messages) the identifier of the original message from which the new message was forwarded; 0 if unknown.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageForwardedFromUser

    public MessageForwardedFromUser()

Default constructor.

#### MessageForwardedFromUser

    public MessageForwardedFromUser​(int senderUserId,
                                    int date,
                                    long forwardedFromChatId,
                                    long forwardedFromMessageId)

Constructor for initialization of all fields.

Parameters:
  `senderUserId` - Identifier of the user that originally sent this message.
  `date` - Point in time (Unix timestamp) when the message was originally sent.
  `forwardedFromChatId` - For messages forwarded to the chat with the current user (saved messages), the identifier of the chat from which the message was forwarded; 0 if unknown.
  `forwardedFromMessageId` - For messages forwarded to the chat with the current user (saved messages) the identifier of the original message from which the new message was forwarded; 0 if unknown.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR